Vla-get-rounddistance

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-rounddistance vla-object )


機能
変換単位の丸めを取得する。


引数
  • vla-object … VLAオブジェクト(DimAligned、DimArcLength、DimDiametric、DimOrdinate、DimRadial、DimRadialLarge、DimRotated)


戻り値
丸め距離を表す正の実数。初期値は 0.00 。


  • MEMO: このプロパティは、寸法記入するすべての距離を指定の値に丸める。たとえば、このプロパティが 0.25 に設定されている場合、この距離は 0.25 単位の最も近い値に丸められる。このプロパティを 1.0 に設定すると、この寸法に対する距離は最も近い整数に丸められる。
  • 小数点以降で編集される桁数は PrimaryUnitsPrecision プロパティまたはシステム変数 DIMDEC[寸法精度]によって設定されている精度に従うことに注意。このプロパティは角度寸法には適用されない。
  • 注 : このプロパティは、指定された寸法でシステム変数 DIMRND[丸めの値]の値を変更する。
サンプル
(vl-load-com)
(defun c:Example_RoundDistance()
    ;; 寸法を作成して変換単位の丸めを変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法の定義
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 10.123 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; 寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))

    (vla-ZoomAll acadObj)
    
    (alert "現在の変換単位の丸めは 0.50 です")
    
    ;; 変更 0.50 of a unit
    (vla-put-RoundDistance dimObj 0.5)
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "新しい変換単位の丸めは : " (rtos (vla-get-RoundDistance dimObj) 2)))
)


関連事項